//Внимание! Изменение кода в игре, может вызвать серьезные ошибки в игре! Вы редактируете код игры на свой страх и риск!

//						The main part of Promised engine version 0.1.6 "Neo"
game.EventChecker = function(guess){ //<-- this function must be here, 'cause ti's calling in initialization
	
	if (game.funcs.getPlayerLoc().nameLoc === "startGame" && game.SavesInfo.insertMainNameLoc === undefined) {
		
		game.funcs.clearButtonsPath();
		game.funcs.addButtonPath("Напишите имя и фамилию через пробел, к примеру: Гордер Гондервиль.", "not");
		
		game.SavesInfo.insertMainNameLoc = "writeName";
		
	} else if (game.SavesInfo.insertMainNameLoc === "writeName") {
		
		game.funcs.setPlayerLoc("startStoryLoc2");
		game.funcs.setNewText("Привстал один из ребятишек, и воскликнул - "+game.contentInput.value);
		
		if (game.contentInput.value === "Гордер Гондервиль") {
			
			game.SavesInfo.insertMainNameLoc = "goodName";
			
		} else {
			
			game.SavesInfo.insertMainNameLoc = "badName";
			
		}
		
	} else if (game.SavesInfo.insertMainNameLoc !== undefined && guess.toLowerCase() === "далее") {
		
		game.funcs.setPlayerLoc("startStoryLoc2.1");
		
		if (game.SavesInfo.insertMainNameLoc === "goodName") {
			
			game.funcs.setNewText("Правильно! Молодец, его и вправду звали Гордер Гондервиль! - сказал седой наш сказитель, и продолжил он сие рассказ");
			
		} else if (game.SavesInfo.insertMainNameLoc === "badName") {
			
			game.funcs.setNewText("Привстал другой из ребятишек, и воскликнул - Гордер Гондервиль!<br><br>Правильно! - воскликнул седой наш сказитель, и продолжил он сие рассказ.");
			
		}
		
		game.SavesInfo.insertMainNameLoc = undefined;
		
	}
	
}
